OSSP CVS Repository

ossp - Check-in [1575]
Not logged in
[Honeypot]  [Browse]  [Home]  [Login]  [Reports
[Search]  [Ticket]  [Timeline
  [Patchset]  [Tagging/Branching

Check-in Number: 1575
Date: 2002-Jan-17 16:47:10 (local)
2002-Jan-17 15:47:10 (UTC)
User:ms
Branch:
Comment: Documentation and small configuration changes.

PR: Submitted by: Reviewed by: Approved by: Obtained from:

Tickets:
Inspections:
Files:
ossp-pkg/rc/00TODO      1.3 -> 1.4     1 inserted, 0 deleted
ossp-pkg/rc/Makefile.am      1.2 -> 1.3     11 inserted, 3 deleted
ossp-pkg/rc/autogen.sh      1.3 -> 1.4     54 inserted, 2 deleted
ossp-pkg/rc/configure.in      1.2 -> 1.3     4 inserted, 2 deleted
ossp-pkg/rc/rc.pod      1.2 -> 1.3     65 inserted, 0 deleted

ossp-pkg/rc/00TODO 1.3 -> 1.4

--- 00TODO       2002/01/08 15:49:02     1.3
+++ 00TODO       2002/01/17 15:47:10     1.4
@@ -6,6 +6,7 @@
 
 Must do
   Translate rc bourne shell script to ANSI C.
+  Convert from autogen to devtool for conformance with team standards.
   If a variable is defined for which no default exists, warn user (Scholli.)
   Avoid a silent failure when giving non-existent run commands (Marcus.)
 


ossp-pkg/rc/Makefile.am 1.2 -> 1.3

--- Makefile.am  2002/01/10 20:05:34     1.2
+++ Makefile.am  2002/01/17 15:47:10     1.3
@@ -1,4 +1,12 @@
-bin_PROGRAMS = rc
-rc_SOURCES = rc_p.h rc.h rc.c
+bin_PROGRAMS    = rc
+rc_SOURCES      = rc.c
+noinst_HEADERS  =           \
+                  rc_p.h    \
+                  rc.h
 
-EXTRA_DIST = autogen.sh AUTHORS TODO README configure
+EXTRA_DIST      =           \
+                  autogen.sh\
+                  AUTHORS   \
+                  TODO      \
+                  README    \
+                  configure


ossp-pkg/rc/autogen.sh 1.3 -> 1.4

--- autogen.sh   2002/01/10 20:05:34     1.3
+++ autogen.sh   2002/01/17 15:47:10     1.4
@@ -1,6 +1,58 @@
 #!/bin/sh
 
-aclocal
+# Test for libtool
+(grep "^AM_PROG_LIBTOOL" configure.in >/dev/null) && {
+  (libtool --version) < /dev/null > /dev/null 2>&1 || {
+    echo
+    echo "Attenzione! You don't have \`libtool'."
+    echo "You can get it from the GNU FTP site."
+    DIE=1
+    NO_LIBTOOL=yes
+  }
+}
+
+# Test for autoconf
+(autoconf --version) < /dev/null > /dev/null 2>&1 || {
+    echo
+    echo "Attenzione! You don't have \`autoconf'."
+    echo "You can get it from the GNU FTP site."
+    NO_AUTOCONF=yes
+  DIE=1
+}
+
+# Test for automake
+(automake --version) < /dev/null > /dev/null 2>&1 || {
+    echo
+    echo "Attenzione! You don't have \`automake'."
+    echo "You can get it from the GNU FTP site."
+    DIE=1
+    NO_AUTOMAKE=yes
+}
+
+
+# Don't test for aclocal if automake is not there
+test -n "$NO_AUTOMAKE" || (aclocal --version) < /dev/null > /dev/null 2>&1 || {
+    echo
+    echo "Attenzione! You don't have \`aclocal'."
+    echo "Try updating your \`automake' to get it."
+    NO_LIBTOOL=yes
+    DIE=1
+}
+
+if test "$DIE" -eq 1; then
+    echo "Build configuration broken due to one ore more failures."
+    echo "Exiting..."
+    exit 1
+fi
+
+# Run build tools if no errors were found
+libtoolize --force --copy --automake
+aclocal -I /usr/local/share/aclocal
 autoheader
-automake --add-missing --gnu
+automake --add-missing --copy --gnu
 autoconf
+
+# Bonehead user instructions to finish up
+echo "To build this now, you need to do two more things."
+echo "First, type \`configure' to configure the program."
+echo "Then, type \`make' to compile the program."


ossp-pkg/rc/configure.in 1.2 -> 1.3

--- configure.in 2002/01/10 20:05:35     1.2
+++ configure.in 2002/01/17 15:47:10     1.3
@@ -38,15 +38,17 @@
 AM_CONFIG_HEADER(config.h)
 AC_LANG_C
 
-dnl Checks for programs
+dnl Checks requirements
 AC_PROG_CC
 AM_PROG_LIBTOOL
+AM_PROG_CC_STDC
+AC_HEADER_STDC
 AC_PROG_INSTALL
 
 dnl Make all the necessary Makefiles
 AC_OUTPUT(Makefile)
 
-dnl Checking existence
+dnl Remove me
 AC_PATH_PROG(FLEX, flex, true)
 AC_CHECK_LIB(nsl, gethostname)
 AC_CHECK_LIB(socket, accept)


ossp-pkg/rc/rc.pod 1.2 -> 1.3

--- rc.pod       2002/01/06 12:40:50     1.2
+++ rc.pod       2002/01/17 15:47:10     1.3
@@ -86,6 +86,10 @@
 [B<-h>|B<--help>]
 [B<-V>|B<--version>] 
 
+=head1 DESCRIPTION
+
+OSSP rc is a run command processor.
+
 =head1 PARAMETER OPTIONS
 
 All these options have reasonable builtin defaults by can be used to
@@ -187,4 +191,65 @@
 
 =back
 
+=head1 RETURN VALUE
+
+Will return an error every single time ;-)
+
+=head1 EXAMPLES
+
+/myetc/rc start sshd
+/etc/rc close docview primary
+/sfw/etc/rc restart lmtp2nntp
+/cw/etc/rc restart apache
+
+=head1 ENVIRONMENT
+
+=head1 FILES
+
+rc.conf
+
+=head1 SEE ALSO
+
+OSSP rc integrates concepts taken from other run command architectures. For
+more information, inspect the /etc/rc structures provided by FreeBSD, Solaris,
+and Red Hat distributions.
+
+biff(1), bagg(1), honk(1), gonk(1), and quatch(1).
+
+=head1 NOTES
+
+=head1 WARNINGS
+
+=head1 DIAGNOSTICS
+
+Rc will print out error messages to stderr. The messages can be used to
+diagnose possible sources of failure of the chosen command, or even within the
+run command structure itself. FIXME! Marcus Bemerkung. The possible errors
+observed include the following.
+
+=over 4
+
+OSSP rc: The ice cream is too hot
+Possible solution: This error happens alot.
+
+OSSP rc: The hot chocolate has a fly in it
+Possible solution: Just take the fly out and drink the coffee.
+
+=back 4
+
+=head1 BUGS
+
+=head1 RESTRICTIONS
+
+Bugs we don't plan to fix include washing out the bathtub.
+
+=head1 AUTHORS
+
+Ralf S. Engelschall
+Michael Schloh von Bennewitz
+
+=head1 HISTORY
+
+Part of the OpenPKG distribution. Had its start in OpenPKG development.
+
 =cut

CVSTrac 2.0.1